######################################################################
#
#   The CentOS Distribution - Index HTML
#
#   This configuration files renders the web browser's default page
#   shown after a fresh install of CentOS distribution. It is the
#   start point for users to get involved.
#
#   ------------------------------------------------------------------
#   Filename                          Size    Motif Brand Release Text
#   ------------------------------------------------------------------
#   header-background.png           720x60        Y     Y       N    N
#   index.html                           -        -     Y       N    Y
#   welcome.html                         -        -     Y       N    Y
#   ------------------------------------------------------------------
#
######################################################################

#=====================================================================
# 1. Build images used to brand final images (The CentOS Brand)
#=====================================================================

[centos-symbol.png]
render-type = "image"
render-from = "${TCAR_BASEDIR}/Models/Branding/0000/168/centos-symbol.svg"
render-flow = "extended"
render-as   = "png"
heights     = "48 16"
fgcolors    = "ffffff"
bgcolors    = "ffffff-0"

#======================================================================
# 2. Build images needed to produce other images.
#======================================================================

[720x60.png]
render-type = "image"
render-from = "${TCAR_WORKDIR}/Motifs/Default/Final/800x600-dusk.png"
command     = "/usr/bin/convert -extract 720x60+0+270 +repage"

#======================================================================
# 3. Build final images.
#======================================================================

[favicon.ico]
render-type = "image"
render-from = "ffffff-0/ffffff/16/centos-symbol.png"
command     = "/usr/bin/convert"

[header-background.png]
render-type = "image"
render-from = "720x60.png"
brand       = "ffffff-0/ffffff/48/centos-symbol.png:x48+6+6"

[welcome.html]
render-type = "copy"
render-from = "${TCAR_BASEDIR}/Models/Distribution/centos-indexhtml/welcome.html"
locale-from = "${TCAR_BASEDIR}/Models/Distribution/centos-indexhtml/Locales/${SCRIPT_LANG_LC}/welcome.html.po"

[Makefile]
render-type = "copy"
render-from = "${TCAR_BASEDIR}/Models/Distribution/centos-indexhtml/Makefile"

#======================================================================
# 4. Build final tar.gz.
#======================================================================
